Bug 11623 - Печатает не то, что показывает
: Печатает не то, что показывает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://www.kyivstar.net/ru/about/care...
:
:
:
  Show dependency tree
 
Reported: 2007-04-25 20:58 by
Modified: 2007-04-27 20:24 (History)


Attachments
Вот на нём можно увидеть глюки ;) (113.14 KB, application/octet-stream)
2007-04-27 08:16, Evgeny
no flags Details
Вот эти две галки нужны. (22.19 KB, image/png)
2007-04-27 15:06, Evgeny
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-25 20:58:15
Открываю документ в котором несколько листов.
Открываю "Лист1"
Синими линиями показывается граница печати.
Предварительный просмотр показывает тоже, что отмечено синими линиями.
Печатаю этот лист. На бумаге получаю колонок меньше, чем на предварительном
просмотре.
В сборке OpenOffice от Infra всё прекрасно.
------- Comment #1 From 2007-04-25 21:03:26 -------
Открываю документ в котором несколько листов.
Открываю "Лист1"
Синими линиями показывается граница печати.
Предварительный просмотр показывает тоже, что отмечено синими линиями.
Печатаю этот лист. На бумаге получаю колонок столько же, сколько было на 
предварительном просмотре.
Всё прекрасно.
------- Comment #2 From 2007-04-26 13:58:50 -------
как воспроизвести?
------- Comment #3 From 2007-04-26 15:40:00 -------
(In reply to comment #2)
> как воспроизвести?

Выслал Вам на почту файлик.
------- Comment #4 From 2007-04-26 16:37:47 -------
а кто сказал что он мне придет? для этого есть "Create a New Attachment"
------- Comment #5 From 2007-04-27 08:16:32 -------
Created an attachment (id=1927) [details]
Вот на нём можно увидеть глюки ;)

Прикладываю файл для OOCalc на котором был пойман глюк.
Откройте его и сделайте активным лист "стр1_3"
Перетащите (если она не там) вертикальную синюю линию
------------------|
    Код 	  |
буквенный цифровой|
		 ^^^
	      вот сюда.
На просмотре будет всё отлично.
При печати отрежет по 21 столбец (см. ниже где "1. Учет рабочего времени")
Глюк второй:
На этой же странице распечатайте Страницу 2.
Распечатается Стр.2 с листа "стр1".
------- Comment #6 From 2007-04-27 09:55:15 -------
ууу... к неврепетологу. баги у тебя в голове, раз ты такое в calc делаешь и на 
обычном принтере печатаешь. для верстки есть scribus, для печати - типографии
------- Comment #7 From 2007-04-27 10:18:27 -------
(In reply to comment #6)
> ууу... к неврепетологу. баги у тебя в голове, раз ты такое в calc делаешь и на 
> обычном принтере печатаешь. для верстки есть scribus, для печати - типографии

Благодарю тебя доктор за помощь, поддержку и диагноз.
Значится так:
1) Это стандартная ведомость.
2) Делалась она из Консультант+
3) Делалась для MS Excel
4) Пока человек сидел на MSOffice Всё было прекрасно.
5) Этот файл прекрасно работает и печатается в сборке OO от Infra
6) Если Вы не в силах взять их патчи и собрать достойный продукт, то уж точно не
надо на меня грешить и посылать.

Обидно конечно было читать Ваш ответ. Видимо такой Вы человек отзывчивый.
Извините, что отвлёк. Будем на "инфра-ресурсе" работать.
------- Comment #8 From 2007-04-27 10:29:56 -------
(In reply to comment #6)
> ууу... к неврепетологу.
Добрый ты...

2 evgen: да вообще отзывчивый, но по-разному.
------- Comment #9 From 2007-04-27 10:39:10 -------
значит к неврепетологу разработчиков Консультант+
я в прошлом веке несколько лет работал в типографии и вот девочки там подобные 
штуки верстали в word/exel и мне их потом пришлось переделывать во что то 
более потребное/удоборедактируемое. именно поэтому у меня такое отношение 
к "стандартным ведомостям" для exel. человек в здравом уме и светлой памяти 
врят ли додумается сделать ТАКОЕ, а потом еще и печатать на обычном принтере
------- Comment #10 From 2007-04-27 11:23:26 -------
Это не одна ведомость. У меня такие документы в моей организации сплошь и
рядом.
И переделывать под Scribus нет ни желания не времени.
Головное предприятие присылает отчёты и бланки именно в таком же виде.
И всё это прекрасно работает в MSExcel и в OpenOffice от "Инфра-Ресурс".
Чем я заслужил от Вас такие ответы?
Тем, что у меня такие документы? Тем, что я нашёл багу и повесил её? Тем, что
хочу видеть качественный продукт, а не сырьё для печати таблиц 2х5? Тем, что
мои
операторы привыкли работать в таблицах?
Что не так то?
Это Вам уважаемы господин Валерий Иноземцев должно быть неприятно и стыдно за
то, что собранный Вами продукт такого качества. 
------- Comment #11 From 2007-04-27 11:36:19 -------
Стоп-стоп-стоп.

Рассказываю байку.

Был такой ALT Linux.  И в нём участвовал такой AEN, который собирал Mozilla,
OpenOffice, GNOME и ещё треть пакетной базы.  Не только собирал, а ещё и
допиливал, чтоб работало.

Был такой Kyivstar GSM.  Там работал аналитик и хакер Игорь Романенко, который
не без некоторых планов внимательно рассматривал OpenOffice.org как альтернативу
MSO -- не только для себя.

Как-то раз Игорь наступил на грабли с тем, что то ли жирный шрифт не печатался,
то ли не сохранялся -- в общем, потратил полдня или день на отлавливание
проблемы, добрался до источника в конфигурации psprint и написал Алексею
подробный багрепорт.

Реакция была если и не схожая, то в общем недалеко (из того, что мне довелось
видеть).

Игорь не без основания обиделся, а свободный софт на территории Украины сделал
ещё один шажок от сильных и внушительных внедрений.  По крайней мере там купили MSO.

Байка к тому, что:

- не надо считать багрепортеров больными, зачастую они связаны силой
обстоятельств и больны-то (на самом деле и на голову) совсем другие стороны;
- не надо считать майнтейнеров всемогущими, они тоже люди и им тоже трудно.

В данном случае я бы на твоём месте, Валер, всё-таки извинился за резкие слова,
а на месте Евгения пообщался бы с Раилем (rail нa i-rs.ru) и пришёл втроём к
пониманию проблемы и объезда для неё, который создан или задействован в
инфровской сборке.  Как говорится, "делай что должно, и будь что будет".
------- Comment #12 From 2007-04-27 11:43:45 -------
P.S.

Я не считаю, что в той ситуации кто-то был "виноват" -- просто
так получилось, но это не значит, что повторять ошибки того стоит.
------- Comment #13 From 2007-04-27 11:50:39 -------
/me думает может ли он чем-нибудь помочь и как. Пугает, что нужно будет
многократно пересобирать OO.org, что оочень долго.

P.S. Багу всё-таки IMHO не стОило закрывать как INVALID, лучше было просто
оставить как есть.
------- Comment #14 From 2007-04-27 12:00:53 -------
Мишь, ты прям Хаджа Насреддин...
1. свое отношение к "стандартным ведомостям для exel" я объяснил
2. багрепортов больными я не считаю (хотя и таковые попадаются)
3. где здесь "резкие слова"? ребята, у вас проблемы с чувством юмора? или у 
меня он слишком черный? в общем смотрите ComedyClub
4. с Доком в свое время я наобщался вдоволь, больше не хочется, поэтому на 
rail я не пойду
5. патчи есть, людей которые эти патчи делали найти можно, так почему бы не 
прийти в багзилу и сказать - вот такая проблема, решается так то и так то, 
мантейнер вам только благодарен будет
------- Comment #15 From 2007-04-27 12:05:11 -------
(In reply to comment #13)
> /me думает может ли он чем-нибудь помочь и как. Пугает, что нужно будет
> многократно пересобирать OO.org, что оочень долго.

не обязательно. надо просто найти тот патчь который это исправляет

> 
> P.S. Багу всё-таки IMHO не стОило закрывать как INVALID, лучше было просто
> оставить как есть.

бага то может и не INVALID, инвалиды те кто подобные ведомости делает
------- Comment #16 From 2007-04-27 12:10:56 -------
(In reply to comment #14)
> 3. где здесь "резкие слова"? ребята, у вас проблемы с чувством юмора? или у 
> меня он слишком черный? в общем смотрите ComedyClub
Я принципиально не смотрю такие пошлые программы.
И не будем тут разводить тему моральных устоев. Нету их. От того и всё пошло стало.

Я попробую связаться с Раилем (rail нa i-rs.ru).
------- Comment #17 From 2007-04-27 12:12:37 -------
(In reply to comment #14)
> 3. где здесь "резкие слова"?
Ну, "баги у тебя в голове" ИТ-менеджеру вместо его пользователей.

> ребята, у вас проблемы с чувством юмора? или у меня он слишком черный?
Вообще-то совсем по-другому понимается, если знать тебя лично ("суровая, но
добрая физия").  Но вот не зная...

> 4. с Доком в свое время я наобщался вдоволь, больше не хочется
Как, тебе не понравился хирургический юмор? :-]

> поэтому на  rail я не пойду
Так Раиль -- совсем другой человек (вы чем-то местами схожи даже) ;)

Вообще сходить проконсультироваться с Раилем и назвать имена желаемых патчей
предложил Евгению как более(?) заинтересованному.

> 5. патчи есть, людей которые эти патчи делали найти можно, так почему бы не 
> прийти в багзилу и сказать - вот такая проблема, решается так то и так то, 
> мантейнер вам только благодарен будет
О чём и спич.  Просто невромотология этому не способствует.

Помогает помнить, что с другой стороны -- тоже человек, обычно -- тоже уставший
и зачастую если проблема есть -- значит, его она не касается и лучше поработать
вместе.

Чем и предложил озадачиться.

А отношения лучше выяснять-устанавливать на LinuxFest, люди-то все хорошие.

(In reply to comment #16)
> Я попробую связаться с Раилем (rail нa i-rs.ru).
И то верно.
------- Comment #18 From 2007-04-27 12:27:24 -------
> > меня он слишком черный? в общем смотрите ComedyClub
> Я принципиально не смотрю такие пошлые программы.

я тоже раньше не смотрел, но жена смотрит, хош не хош, а приходится

> И не будем тут разводить тему моральных устоев. Нету их. От того и всё пошло 
стало.

да дело то совсем не в морали и вы это прекрасно понимаете. 
и подобные ведомости это не дело exel и сalc, и лечить надо тех кто это делает 
и внедряет
------- Comment #19 From 2007-04-27 12:38:22 -------
Дайте хотябы одну машину свернуть (перевести на линукс всех).
И Билли меньше денег получит и народ в альтернативном софте поработает.
Из 50 человек, работающих в компании о линуксе слышали (именно слышали) только
3
человека.
А документооборот уже не вывернешь. Какие документы идут с головной компании, с
Консультант+ и прочих источников с такими и работают люди.
И ни за что они не будут разбираться что да как, а тем более ещё и
портировать...
------- Comment #20 From 2007-04-27 14:26:11 -------
> А документооборот уже не вывернешь. Какие документы идут с головной 
компании, с
> Консультант+ и прочих источников с такими и работают люди.
тут ты не прав. если Консультант+ заточен под MSО то пусть они вам оплатят ОП 
и MSOffice или это примая дорога в антимонопольный комитет.
------- Comment #21 From 2007-04-27 15:06:00 -------
Created an attachment (id=1929) [details]
Вот эти две галки нужны.

Пообщался с Раилем. Благодарю его за быстрые ответы.
Вот тут: http://www.openoffice.org/issues/show_bug.cgi?id=25278
решение при печати моего типа документов. Приаттачил картинку.

По ходу нашёлся ещё этот патч
http://www.openoffice.org/issues/show_bug.cgi?id=44695
чтобы появлялось сообщение об ошибке если печать не прошла (CUPS лежит,
например). Я правда не знаю, может в сборке ALT он и присутствует.
------- Comment #22 From 2007-04-27 15:22:02 -------
(In reply to comment #21)
> Created an attachment (id=1929) [edit] [details]
> Вот эти две галки нужны.

действительно помогло?

> 
> Пообщался с Раилем. Благодарю его за быстрые ответы.

ему за это деньги платят

> Вот тут: http://www.openoffice.org/issues/show_bug.cgi?id=25278
> решение при печати моего типа документов. Приаттачил картинку.

инфра-ресурс ничего подобного не нашел

> 
> По ходу нашёлся ещё этот патч
> http://www.openoffice.org/issues/show_bug.cgi?id=44695
> чтобы появлялось сообщение об ошибке если печать не прошла (CUPS лежит,
> например). Я правда не знаю, может в сборке ALT он и присутствует.

нет, но можно добавить 

------- Comment #23 From 2007-04-27 15:44:54 -------
(In reply to comment #22)
> (In reply to comment #21)
> > Created an attachment (id=1929) [edit] [details] [edit]
> > Вот эти две галки нужны.
> 
> действительно помогло?

Да, действительно помогло. И не обрезается ни чего и страницу печатает ту,
которую нужно.
Но только эти галки не сохраняются. При следущей печати надо заново их ставить.

 
> > Вот тут: http://www.openoffice.org/issues/show_bug.cgi?id=25278
> > решение при печати моего типа документов. Приаттачил картинку.
> 
> инфра-ресурс ничего подобного не нашел
Что не нашёл простите?

> > По ходу нашёлся ещё этот патч
> > http://www.openoffice.org/issues/show_bug.cgi?id=44695
> > чтобы появлялось сообщение об ошибке если печать не прошла (CUPS лежит,
> > например). Я правда не знаю, может в сборке ALT он и присутствует.
> 
> нет, но можно добавить 
Будьте так добры.

А может всётаки присмотритесь к их патчам?
Не зря же их 510 штук?
И пусть OpenOffice сборки ALT будет таким же приятным...
------- Comment #24 From 2007-04-27 16:02:00 -------
> > инфра-ресурс ничего подобного не нашел
> Что не нашёл простите?

в патчах инфра-ресурс. т.е. они как всегда выложили не все
------- Comment #25 From 2007-04-27 16:22:35 -------
> Но только эти галки не сохраняются. При следущей печати надо заново их 
ставить.

патчь добавлен в 2.2.0-alt4
------- Comment #26 From 2007-04-27 16:26:25 -------
(In reply to comment #25)
> патчь добавлен в 2.2.0-alt4

Ура! :)

------- Comment #27 From 2007-04-27 16:26:49 -------
Тогда закрываю как FIXED.
------- Comment #28 From 2007-04-27 16:34:05 -------
Благодарю.
Скоро ещё что-нибудь накопаю.
Обращаться можно или в больницу сразу?
------- Comment #29 From 2007-04-27 16:43:08 -------
Жень, не надо утрировать. я же уже объяснил что в больницу надо не тебе, а тем 
пЫсателям из Консультанта
------- Comment #30 From 2007-04-27 16:53:55 -------
(In reply to comment #29)
> Жень, не надо утрировать. я же уже объяснил что в больницу надо не тебе, а тем 
> пЫсателям из Консультанта

Ладно, не буду. Но осадок остался.